var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var applications_exports = {};
__export(applications_exports, {
  default: () => applications_default
});
module.exports = __toCommonJS(applications_exports);
var import_database = require("@nocobase/database");
var applications_default = (0, import_database.defineCollection)({
  dumpRules: {
    group: "third-party"
  },
  name: "applications",
  model: "ApplicationModel",
  autoGenId: false,
  sortable: "sort",
  filterTargetKey: "name",
  fields: [
    {
      type: "uid",
      name: "name",
      primaryKey: true
    },
    {
      type: "string",
      name: "displayName"
    },
    {
      type: "string",
      name: "cname",
      unique: true
    },
    {
      type: "boolean",
      name: "pinned"
    },
    {
      type: "string",
      name: "icon"
    },
    {
      type: "string",
      name: "status",
      defaultValue: "pending"
    },
    {
      type: "json",
      name: "options"
    }
  ]
});
