var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var application_exports = {};
__export(application_exports, {
  ApplicationModel: () => ApplicationModel
});
module.exports = __toCommonJS(application_exports);
var import_database = require("@nocobase/database");
var import_server = require("@nocobase/server");
var import_utils = require("@nocobase/utils");
class ApplicationModel extends import_database.Model {
  registerToSupervisor(mainApp, options) {
    const appName = this.get("name");
    const appModelOptions = this.get("options") || {};
    const appOptions = options.appOptionsFactory(appName, mainApp);
    const subAppOptions = {
      ...(0, import_utils.merge)(appOptions, appModelOptions),
      name: appName
    };
    return new import_server.Application(subAppOptions);
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ApplicationModel
});
